
using Godot;


namespace Rokojori
{  
  [GlobalClass, Tool ]
  public partial class CopyPose : Action
  {
    [Export]
    public Node3D source;

    [Export]
    public Node3D target;


    public override void _Process( double delta )
    {
      _OnTrigger();
    }


    protected override void _OnTrigger()
    {
      if ( source == null || target == null )
      {
        return;
      }
      
      target.GlobalPosition = source.GlobalPosition;
      target.GlobalRotation = source.GlobalRotation;
    }
  }
}